=== debian/control ===
Source: linux-signed-arm64
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper-compat (= 13), python3:any, sbsigntool [amd64 arm64 i386]
Build-Depends-Arch: linux-image-6.10.11-arm64-unsigned (= 6.10.11-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, kernel-wedge (>= 2.105~) [arm64] <!pkg.linux.nokernel>, kmod [arm64] <!pkg.linux.nokernel>, rsync [arm64] <!pkg.linux.nokernel>, linux-image-6.10.11-cloud-arm64-unsigned (= 6.10.11-1) [arm64] <!pkg.linux.nokernel>, linux-image-6.10.11-arm64-16k-unsigned (= 6.10.11-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>, linux-image-6.10.11-rt-arm64-unsigned (= 6.10.11-1) [arm64] <!pkg.linux.nokernel !pkg.linux.quick>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-headers-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Provides: linux-headers-generic
Depends: linux-headers-6.10.11-arm64 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux arm64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel arm64 configuration.

Package: linux-headers-arm64-16k
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.10.11-arm64-16k (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux arm64-16k configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel arm64-16k configuration.

Package: linux-headers-cloud-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa>
Depends: linux-headers-6.10.11-cloud-arm64 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux cloud-arm64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel cloud-arm64 configuration.

Package: linux-headers-rt-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Depends: linux-headers-6.10.11-rt-arm64 (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux rt-arm64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel rt-arm64 configuration.

Package: linux-image-6.10.11-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.10.11-1)
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64]
Recommends: apparmor [arm64]
Suggests: firmware-linux-free, linux-doc-6.10, debian-kernel-handbook
Replaces: linux-image-6.10.11-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64]
Conflicts: linux-image-6.10.11-arm64-unsigned
Description: Linux 6.10 for 64-bit ARMv8 machines (signed)
 The Linux kernel 6.10 and modules for use on 64-bit ARMv8 machines.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.10.11-arm64-16k
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.10.11-1)
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64]
Recommends: apparmor [arm64]
Suggests: firmware-linux-free, linux-doc-6.10, debian-kernel-handbook
Replaces: linux-image-6.10.11-arm64-16k-unsigned
Breaks: fwupdate (<< 12-7) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64]
Conflicts: linux-image-6.10.11-arm64-16k-unsigned
Description: Linux 6.10 for 64-bit ARMv8 machines with 16k pages (signed)
 The Linux kernel 6.10 and modules for use on 64-bit ARMv8 machines with
 16k pages.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.10.11-cloud-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel>
Built-Using: linux (= 6.10.11-1)
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64]
Recommends: apparmor [arm64]
Suggests: firmware-linux-free, linux-doc-6.10, debian-kernel-handbook
Replaces: linux-image-6.10.11-cloud-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64]
Conflicts: linux-image-6.10.11-cloud-arm64-unsigned
Description: Linux 6.10 for arm64 cloud (signed)
 The Linux kernel 6.10 and modules for use on cloud platforms supporting
 arm64 virtual machines.
 .
 The kernel image is signed for use with Secure Boot.

Package: linux-image-6.10.11-rt-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick>
Built-Using: linux (= 6.10.11-1)
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [arm64] | linux-initramfs-tool [arm64]
Recommends: apparmor [arm64]
Suggests: firmware-linux-free, linux-doc-6.10, debian-kernel-handbook
Replaces: linux-image-6.10.11-rt-arm64-unsigned
Breaks: fwupdate (<< 12-7) [arm64], wireless-regdb (<< 2019.06.03-1~) [arm64], initramfs-tools (<< 0.120+deb8u2) [arm64]
Conflicts: linux-image-6.10.11-rt-arm64-unsigned
Description: Linux 6.10 for 64-bit ARMv8 machines (signed), PREEMPT_RT
 The Linux kernel 6.10 and modules for use on 64-bit ARMv8 machines.
 .
 The kernel image is signed for use with Secure Boot.
 .
 This kernel includes the PREEMPT_RT realtime patch set.

Package: linux-image-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Provides: linux-latest-modules-6.10.11-arm64, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386], linux-image-generic
Depends: linux-image-6.10.11-arm64 (= ${binary:Version}), ${misc:Depends}
Description: Linux for 64-bit ARMv8 machines (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 64-bit ARMv8 machines.

Package: linux-image-arm64-16k
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Provides: linux-latest-modules-6.10.11-arm64-16k, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.10.11-arm64-16k (= ${binary:Version}), ${misc:Depends}
Description: Linux for 64-bit ARMv8 machines with 16k pages (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 64-bit ARMv8 machines with 16k pages.

Package: linux-image-cloud-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa>
Provides: linux-latest-modules-6.10.11-cloud-arm64, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.10.11-cloud-arm64 (= ${binary:Version}), ${misc:Depends}
Description: Linux for arm64 cloud (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 cloud platforms supporting arm64 virtual machines.

Package: linux-image-rt-arm64
Architecture: arm64
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick>
Provides: linux-latest-modules-6.10.11-rt-arm64, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.10.11-rt-arm64 (= ${binary:Version}), ${misc:Depends}
Description: Linux for 64-bit ARMv8 machines (meta-package)
 This package depends on the latest Linux kernel and modules for use on
 64-bit ARMv8 machines.

Package: ata-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ata-modules
Depends: kernel-image-6.10.11-arm64-di, scsi-core-modules-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: ATA disk modules
 This package contains core ATA disk modules used by both PATA and SATA
 disk drivers.

Package: btrfs-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: btrfs-modules
Depends: kernel-image-6.10.11-arm64-di, crc-modules-6.10.11-arm64-di, md-modules-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.

Package: cdrom-core-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: cdrom-core-modules
Depends: kernel-image-6.10.11-arm64-di, scsi-core-modules-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: CDROM support
 This package contains core CDROM support for the kernel.

Package: crc-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crc-modules
Depends: kernel-image-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: CRC modules
 This package contains CRC support modules.

Package: crypto-dm-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crypto-dm-modules
Depends: kernel-image-6.10.11-arm64-di, md-modules-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: devicemapper crypto module
 This package contains the devicemapper crypto (dm-crypt) module.

Package: crypto-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: crypto-modules
Depends: kernel-image-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: crypto modules
 This package contains crypto modules.

Package: efi-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: efi-modules
Depends: kernel-image-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: EFI modules
 This package contains EFI modules.

Package: event-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: event-modules
Depends: kernel-image-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: Event support
 This package contains event drivers for the kernel.

Package: ext4-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: standard
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-6.10.11-arm64-di, crc-modules-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.

Package: f2fs-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
Build-Profiles: <!noudeb !pkg.linux.nokernel !pkg.linux.quick>
Provides: f2fs-modules
Depends: kernel-image-6.10.11-arm64-di, crc-modules-6.10.11-arm64-di
Kernel-Version: 6.10.11-arm64
Description: f2fs filesystem support
 This package contains the f2fs (Flash-Friendly Filesystem) module.

Package: fat-modules-6.10.11-arm64-di
Architecture: arm64
Section: debian-installer
Priority: optional
Package-Type: udeb
