## linux-signed-arm64 6.11.2+1

=== debian/changelog ===
linux-signed-arm64 (6.11.2+1) unstable; urgency=medium

  * Sign kernel from linux 6.11.2-1

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.11.1
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.11.2

  [ Ben Hutchings ]
  * Revert "perf tools: Use $KBUILD_BUILD_TIMESTAMP as man page date" which is
    no longer useful
  * Fix some reproducibility issues (Closes: #1033663):
    - d/rules.real: Fix missing -ffile-prefix-map options for user-space
    - linux-perf: Remove remaining source filenames from executable
    - linux-perf: Work around gcc bug with -ffile-prefix-map and assembly
      sources
    - Documentation: Use relative source filenames in ABI documentation
    - kbuild, bpf: Fix BTF reproducibility
    - d/rules.real: Add -fdebug-prefix-map option for assembly sources in
      kernel
  * d/rules.real: Try harder to set the locale to C.UTF-8
  * udeb: Delete obsolete configuration for armel/marvell
  * udeb: Delete obsolete configuration for ide{-core,}-modules, ipv6-modules
  * udeb: Delete obsolete rtc-modules from kernel-image Provides
  * udeb: Fold i2c-modules into kernel-image (fixes FTBFS on alpha, sparc64)
  * udeb: Fold event-modules and mouse-modules into input-modules
  * udeb: Fold efi-modules into kernel-image
  * [arm64,armhf] udeb: Fold leds-modules into kernel-image
  * [amd64] udeb: Fold acpi-modules into kernel-image
  * [powerpc*] udeb: Fold fancontrol-modules into kernel-image
  * [alpha] udeb: Fold srm-modules into kernel-image
  * udeb: Fold crc-modules into kernel-image
  * [arm64,armhf] udeb: Add all watchdog drivers to kernel-image
    (Closes: #1081550)
  * Remove d/b/genorig.py in favour of uscan:
    - d/salsa-ci.yml: In extract-source, use origtagz instead of genorig.py
    - d/README.source: Document running uscan instead of genorig.py
    - d/rules: Expect orig tarballs to be in ../ and never in ../orig/

  [ Salvatore Bonaccorso ]
  * net/netfilter/ipvs: Enable IP_VS_TWOS as module (Closes: #1082903)
  * libcpupower: Update symbols file for changes in 6.11.2-1~exp1.

  [ Josua Mayer ]
  * [arm64] Enable drivers for AM64 SoC on HummingBoard-T (Closes: #1081837)
  * [arm64] udeb: Add kernel modules for I2C, USB and Ethernet on TI AM64
  * [arm64] udeb: Add kernel modules for RTC

  [ Jair Gonzalez ]
  * [amd64] arch/x86: Enable CONFIG_ADDRESS_MASKING
    (Linear Address Masking support) (Closes: #1082296)

  [ Uwe Kleine-König ]
  * [armhf] Enable support for GPIOs, i2c, spi and G-sensor for Terasic's
    DE10-nano board.

 -- Ben Hutchings <benh@debian.org>  Sun, 06 Oct 2024 01:00:02 +0200

linux (6.11-1~exp1) experimental; urgency=medium

  * New upstream release: https://kernelnewbies.org/Linux_6.11

  [ Marcin Juszkiewicz ]
  * [arm64] udeb: Add kernel modules to get USB/SATA/PCIe working on Rockchip
    RK3588

  [ Alper Nebi Yasak ]
  * [arm64] Enable modules for MT8186 Chromebooks
    - Enable DRM_ITE_IT6505 and I2C_HID_OF_GOODIX as modules
    - Enable SND_SOC_MT8186_MT6366, SND_SOC_SOF_MT8186 and SND_SOC_MT8186 as
      modules
    - Enable SX9324 as a module
  * udeb: Move i2c-hid-of-goodix module to fb-modules

  [ Dylan Aïssi ]
  * [arm64] drivers/gpu/drm/panthor: Enable DRM_PANTHOR as module

  [ Dmitry Baryshkov ]
  * [arm64] Enable SC_CAMCC_8280XP as module, camera clock controller on
    Lenovo ThinkPad X13s laptop.
  * [arm64] Enable SC_GCC_8180X, SM_GPUCC_8150, INTERCONNECT_QCOM_SC8180X and
    PINCTRL_SC8180X as modules in order to support Lenovo Flex 5G laptops.
  * [arm64] Include modules for Lenovo Flex 5G (Snapdragon SC8180X)
  * [arm64] enable Qualcomm X Elite modules: CLK_X1E80100_GCC and
    INTERCONNECT_QCOM_X1E80100 as built-in and CLK_X1E80100_CAMCC,
    CLK_X1E80100_DISPCC, CLK_X1E80100_GPUCC, CLK_X1E80100_TCSRCC,
    DRM_PANEL_SAMSUNG_ATNA33XC20, PHY_QCOM_SNPS_EUSB2,
    PHY_QCOM_EUSB2_REPEATER, PINCTRL_X1E80100 and SND_SOC_X1E80100 as modules.
  * [arm64] Include modules for Qualcomm X Elite laptops

  [ Diederik de Haas ]
  * [arm64] Enable additional modules for rk356x devices:
    - [arm64] drivers/gpu/drm/panel: Enable DRM_PANEL_SITRONIX_ST7789V as
      module
    - [arm64] drivers/input/touchscreen: Enable TOUCHSCREEN_ST1232 as module
    - [arm64] drivers/pci/controller/dwc: Enable PCIE_ROCKCHIP_DW_EP
    - [arm64] drivers/regulator: Enable REGULATOR_TPS6286X as module
    - [arm64] drivers/rtc: Enable RTC_DRV_PCF85363 as module
    - [arm64] drivers/usb/typec: Enable TYPEC_WUSB3801 as module
    - [arm64] drivers/video/backlight: Enable BACKLIGHT_LM3630A as module
    - [arm64] sound/soc/codecs: Enable SND_SOC_DMIC and SND_SOC_TAS2562 as
      module
  * [arm64] Update rk3588 platform support:
    - [arm64] drivers/clocksource: Enable ROCKCHIP_TIMER
    - [arm64] drivers/iommu: Enable IOMMU_IO_PGTABLE_LPAE
    - [arm64] drivers/mmc/core: Enable PWRSEQ_EMMC
    - [arm64] drivers/phy/rockchip: Enable PHY_ROCKCHIP_SAMSUNG_HDPTX and
      PHY_ROCKCHIP_USBDP as module
  * [rt] Update to 6.11-rt7
  * d/config: Update with the help of kconfigeditor2

  [ Aurelien Jarno ]
  * [riscv64] Enable INPUT_MISC (Closes: #1079501).

  [ Bastian Blank ]
  * Revert "Make linux-libc-dev provide all cross packages".

  [ Helge Deller ]
  * [hppa] Fix kernel build with CONFIG_DRM=y on parisc64.

  [ Jair Gonzalez ]
  * [amd64] drivers/crypto/intel/iaa: Enable CRYPTO_DEV_IAA_CRYPTO
    (IAA Compression Accelerator Crypto Driver) (Closes: #1079272)

  [ Dave Vasilevsky ]
  * [powerpc] Explicitly disable CRASH_DUMP on 32-bit (Closes: #1079755)

  [ Ben Hutchings ]
  * [x86] ACPI: Enable ACPI_EC_DEBUGFS as module (Closes: #980555)
  * [i386] Stop building kernel packages
  * rtla: Switch to out-of-tree build:
    - Revert "tools/rtla: Restore option to set VERSION var to VERSION file's
      contents"
    - Fix installation from out-of-tree build
  * rtla: Enable verbose build
  * rtla: Build with dpkg's recommended compiler flags (regression in 6.9)

